Table of Contents

## Name

hzimctrl - utility to switch current input method, set input parameters, and change input method searching path

## Synopsis

hzimctrl [-m input_method | -d hzinputdir | -p parameter] ...

## Description

Hzimctrl invokes input method control functions according to the options. Cxterm escape sequences are used to make the changing in run-time.

-m input_method
  This option specifies the name of a Chinese input method and switches the current input method accordingly.
-d hzinputdir
  This option sets the search path for the directory containing the Chinese input methods to be the following argument. Alternative directory names separated by a colon ``:'' can be also put into the search path. The search path is usually defined in the environment variable HZINPUTDIR when cxterm is started, or is given in cxterm option "-hid".
-p parameters
  This option sets or resets the current input parameters according to the argument. For the format of the parameters please refer to cxterm(1) .

## See Also

cxterm(1)

## Author

Yongguang Zhang
See cxterm(1) for the copyright notice.

Table of Contents

- Name
- Synopsis
- Description
- See Also
- Author